

Public Class ImageSettings
    Private m_SrcFolder As String
    Private m_PhotoSpeed As Decimal

    Public Property PhotoSpeed() As Decimal
        Get
            PhotoSpeed = m_PhotoSpeed
        End Get
        Set(ByVal Value As Decimal)
            m_PhotoSpeed = Value
        End Set
    End Property

    Public Property SrcFolder() As String
        Get
            SrcFolder = m_SrcFolder
        End Get
        Set(ByVal Value As String)
            m_SrcFolder = Value
        End Set
    End Property

    Public Function GetFileList() As String()
        Try
            Dim sRet() As String
            Dim dir As System.IO.Directory

            sRet = dir.GetFiles(m_SrcFolder, "*.jpg")
            Return sRet
        Catch ex As Exception
            Return Nothing
        End Try
    End Function

End Class
