Public Class Win32Corners

    Public Const SWP_NOACTIVATE = &H10
    Public Const SWP_NOZORDER = &H4
    Public Const SWP_SHOWWINDOW = &H40
    Public Const GWL_STYLE = -16
    Public Const WS_CHILD = &H40000000
    Public Const GWL_HWNDPARENT = -8
    Public Const HWND_TOP = 0

    Public Structure RECT
        Public left As Integer
        Public top As Integer
        Public right As Integer
        Public bottom As Integer
    End Structure

    Public Declare Function GetClientRect Lib "user32" ( _
        ByVal hwnd As Integer, _
        ByRef lpRect As RECT) As Integer

    Public Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" ( _
        ByVal hwnd As Integer, _
        ByVal nIndex As Integer) As Integer

    Public Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" ( _
        ByVal hwnd As Integer, _
        ByVal nIndex As Integer, _
        ByVal dwNewInteger As Integer) As Integer

    Public Declare Function SetWindowPos Lib "user32" ( _
        ByVal hwnd As Integer, _
        ByVal hWndInsertAfter As Integer, _
        ByVal x As Integer, _
        ByVal y As Integer, _
        ByVal cx As Integer, _
        ByVal cy As Integer, _
        ByVal wFlags As Integer) As Integer

    Public Declare Function SetParent Lib "user32" ( _
        ByVal hWndChild As Integer, _
        ByVal hWndNewParent As Integer) As Integer

End Class
